## xdoclet.modules.jboss.ejb
Class JBossSubTask.JBossVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.jboss.ejb.JBossSubTask.JBossVersionTypes

Enclosing class:
  JBossSubTask

public static class JBossSubTask.JBossVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ara Abrahamian (ara_e@email.com)
created
  October 20, 2001

Field Summary
`static String` `VERSION_2_4`
`static String` `VERSION_3_0`
`static String` `VERSION_3_0_1`
`static String` `VERSION_3_0_2`
`static String` `VERSION_3_0_3`
`static String` `VERSION_3_2`
`static String` `VERSION_4_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JBossSubTask.JBossVersionTypes()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the JBossVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_2_4

    public static final String VERSION_2_4

See Also:
  Constant Field Values

### VERSION_3_0

    public static final String VERSION_3_0

See Also:
  Constant Field Values

### VERSION_3_0_1

    public static final String VERSION_3_0_1

See Also:
  Constant Field Values

### VERSION_3_0_2

    public static final String VERSION_3_0_2

See Also:
  Constant Field Values

### VERSION_3_0_3

    public static final String VERSION_3_0_3

See Also:
  Constant Field Values

### VERSION_3_2

    public static final String VERSION_3_2

See Also:
  Constant Field Values

### VERSION_4_0

    public static final String VERSION_4_0

See Also:
  Constant Field Values

Constructor Detail

### JBossSubTask.JBossVersionTypes

    public JBossSubTask.JBossVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the JBossVersionTypes object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/